package ru.tsc.ichaplygina.taskmanager.endpoint;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by Apache CXF 3.2.7
 * 2021-03-12T18:35:24.632+03:00
 * Generated source version: 3.2.7
 */
@WebService(targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", name = "ProjectEndpoint")
@XmlSeeAlso({ObjectFactory.class})
public interface ProjectEndpoint {

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/ProjectEndpoint/startProjectByIdRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/ProjectEndpoint/startProjectByIdResponse")
    @RequestWrapper(localName = "startProjectById", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.StartProjectById")
    @ResponseWrapper(localName = "startProjectByIdResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.StartProjectByIdResponse")
    public void startProjectById(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
            @WebParam(name = "projectId", targetNamespace = "")
                    java.lang.String projectId
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/ProjectEndpoint/removeProjectByIdRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/ProjectEndpoint/removeProjectByIdResponse")
    @RequestWrapper(localName = "removeProjectById", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.RemoveProjectById")
    @ResponseWrapper(localName = "removeProjectByIdResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.RemoveProjectByIdResponse")
    public void removeProjectById(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
            @WebParam(name = "projectId", targetNamespace = "")
                    java.lang.String projectId
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/ProjectEndpoint/clearProjectsRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/ProjectEndpoint/clearProjectsResponse")
    @RequestWrapper(localName = "clearProjects", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.ClearProjects")
    @ResponseWrapper(localName = "clearProjectsResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.ClearProjectsResponse")
    public void clearProjects(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/ProjectEndpoint/completeProjectByIdRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/ProjectEndpoint/completeProjectByIdResponse")
    @RequestWrapper(localName = "completeProjectById", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.CompleteProjectById")
    @ResponseWrapper(localName = "completeProjectByIdResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.CompleteProjectByIdResponse")
    public void completeProjectById(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
            @WebParam(name = "projectId", targetNamespace = "")
                    java.lang.String projectId
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/ProjectEndpoint/startProjectByNameRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/ProjectEndpoint/startProjectByNameResponse")
    @RequestWrapper(localName = "startProjectByName", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.StartProjectByName")
    @ResponseWrapper(localName = "startProjectByNameResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.StartProjectByNameResponse")
    public void startProjectByName(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
            @WebParam(name = "projectName", targetNamespace = "")
                    java.lang.String projectName
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/ProjectEndpoint/completeProjectByNameRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/ProjectEndpoint/completeProjectByNameResponse")
    @RequestWrapper(localName = "completeProjectByName", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.CompleteProjectByName")
    @ResponseWrapper(localName = "completeProjectByNameResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.CompleteProjectByNameResponse")
    public void completeProjectByName(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
            @WebParam(name = "projectName", targetNamespace = "")
                    java.lang.String projectName
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/ProjectEndpoint/createProjectRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/ProjectEndpoint/createProjectResponse")
    @RequestWrapper(localName = "createProject", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.CreateProject")
    @ResponseWrapper(localName = "createProjectResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.CreateProjectResponse")
    public void createProject(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
            @WebParam(name = "projectName", targetNamespace = "")
                    java.lang.String projectName,
            @WebParam(name = "projectDescription", targetNamespace = "")
                    java.lang.String projectDescription
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/ProjectEndpoint/removeProjectByNameRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/ProjectEndpoint/removeProjectByNameResponse")
    @RequestWrapper(localName = "removeProjectByName", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.RemoveProjectByName")
    @ResponseWrapper(localName = "removeProjectByNameResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.RemoveProjectByNameResponse")
    public void removeProjectByName(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
            @WebParam(name = "projectName", targetNamespace = "")
                    java.lang.String projectName
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/ProjectEndpoint/startProjectByIndexRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/ProjectEndpoint/startProjectByIndexResponse")
    @RequestWrapper(localName = "startProjectByIndex", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.StartProjectByIndex")
    @ResponseWrapper(localName = "startProjectByIndexResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.StartProjectByIndexResponse")
    public void startProjectByIndex(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
            @WebParam(name = "projectIndex", targetNamespace = "")
                    int projectIndex
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/ProjectEndpoint/findProjectByIndexRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/ProjectEndpoint/findProjectByIndexResponse")
    @RequestWrapper(localName = "findProjectByIndex", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.FindProjectByIndex")
    @ResponseWrapper(localName = "findProjectByIndexResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.FindProjectByIndexResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.tsc.ichaplygina.taskmanager.endpoint.Project findProjectByIndex(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
            @WebParam(name = "projectIndex", targetNamespace = "")
                    int projectIndex
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/ProjectEndpoint/getProjectListRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/ProjectEndpoint/getProjectListResponse")
    @RequestWrapper(localName = "getProjectList", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.GetProjectList")
    @ResponseWrapper(localName = "getProjectListResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.GetProjectListResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.util.List<ru.tsc.ichaplygina.taskmanager.endpoint.Project> getProjectList(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
            @WebParam(name = "sortBy", targetNamespace = "")
                    java.lang.String sortBy
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/ProjectEndpoint/findProjectByIdRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/ProjectEndpoint/findProjectByIdResponse")
    @RequestWrapper(localName = "findProjectById", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.FindProjectById")
    @ResponseWrapper(localName = "findProjectByIdResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.FindProjectByIdResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.tsc.ichaplygina.taskmanager.endpoint.Project findProjectById(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
            @WebParam(name = "projectId", targetNamespace = "")
                    java.lang.String projectId
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/ProjectEndpoint/findProjectByNameRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/ProjectEndpoint/findProjectByNameResponse")
    @RequestWrapper(localName = "findProjectByName", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.FindProjectByName")
    @ResponseWrapper(localName = "findProjectByNameResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.FindProjectByNameResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.tsc.ichaplygina.taskmanager.endpoint.Project findProjectByName(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
            @WebParam(name = "projectName", targetNamespace = "")
                    java.lang.String projectName
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/ProjectEndpoint/updateProjectByIndexRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/ProjectEndpoint/updateProjectByIndexResponse")
    @RequestWrapper(localName = "updateProjectByIndex", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.UpdateProjectByIndex")
    @ResponseWrapper(localName = "updateProjectByIndexResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.UpdateProjectByIndexResponse")
    public void updateProjectByIndex(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
            @WebParam(name = "projectIndex", targetNamespace = "")
                    int projectIndex,
            @WebParam(name = "projectName", targetNamespace = "")
                    java.lang.String projectName,
            @WebParam(name = "projectDescription", targetNamespace = "")
                    java.lang.String projectDescription
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/ProjectEndpoint/completeProjectByIndexRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/ProjectEndpoint/completeProjectByIndexResponse")
    @RequestWrapper(localName = "completeProjectByIndex", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.CompleteProjectByIndex")
    @ResponseWrapper(localName = "completeProjectByIndexResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.CompleteProjectByIndexResponse")
    public void completeProjectByIndex(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
            @WebParam(name = "projectIndex", targetNamespace = "")
                    int projectIndex
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/ProjectEndpoint/updateProjectByIdRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/ProjectEndpoint/updateProjectByIdResponse")
    @RequestWrapper(localName = "updateProjectById", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.UpdateProjectById")
    @ResponseWrapper(localName = "updateProjectByIdResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.UpdateProjectByIdResponse")
    public void updateProjectById(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
            @WebParam(name = "projectId", targetNamespace = "")
                    java.lang.String projectId,
            @WebParam(name = "projectName", targetNamespace = "")
                    java.lang.String projectName,
            @WebParam(name = "projectDescription", targetNamespace = "")
                    java.lang.String projectDescription
    );

    @WebMethod
    @Action(input = "http://endpoint.taskmanager.ichaplygina.tsc.ru/ProjectEndpoint/removeProjectByIndexRequest", output = "http://endpoint.taskmanager.ichaplygina.tsc.ru/ProjectEndpoint/removeProjectByIndexResponse")
    @RequestWrapper(localName = "removeProjectByIndex", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.RemoveProjectByIndex")
    @ResponseWrapper(localName = "removeProjectByIndexResponse", targetNamespace = "http://endpoint.taskmanager.ichaplygina.tsc.ru/", className = "ru.tsc.ichaplygina.taskmanager.endpoint.RemoveProjectByIndexResponse")
    public void removeProjectByIndex(
            @WebParam(name = "session", targetNamespace = "")
                    ru.tsc.ichaplygina.taskmanager.endpoint.Session session,
            @WebParam(name = "projectIndex", targetNamespace = "")
                    int projectIndex
    );
}
